Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.resources
Class ResourceTableImpl

    java.lang.Object
      com.servingxml.ioc.resources.ResourceTableImpl

All Implemented Interfaces:
  MutableResourceTable, ResourceTable

    public class ResourceTableImpl

extends java.lang.Object
implements MutableResourceTable

Constructor Summary
`ResourceTableImpl()`
`ResourceTableImpl(ResourceTable resourceTable)`

Method Summary
`void` | `addConfigurationComponent(ConfigurationContext context, ConfigurationComponent component)`
`void` | `addServiceComponent(ConfigurationContext context, ServiceComponent component, java.lang.String uri)`
`void` | `createIocContainer(MutableNameTable nameTable, MutableIocContainer resources)`
`java.lang.Object` | `lookupConfigurationComponent(java.lang.Class javaInterface)`
`java.lang.Object` | `lookupServiceComponent(java.lang.Class javaInterface, java.lang.String uri)`
`void` | `printDiagnostics(java.io.PrintStream printStream, NameTable nameTable)`
`void` | `setApplicationComponent(ConfigurationContext context, ServiceComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceTableImpl

    public ResourceTableImpl()

### ResourceTableImpl

    public ResourceTableImpl(ResourceTable resourceTable)

Method Detail

### createIocContainer

    public void createIocContainer(MutableNameTable nameTable,
                                   MutableIocContainer resources)

  Specified by:
    `createIocContainer` in interface `MutableResourceTable`

### lookupServiceComponent

    public java.lang.Object lookupServiceComponent(java.lang.Class javaInterface,
                                                   java.lang.String uri)

  Specified by:
    `lookupServiceComponent` in interface `ResourceTable`

### addServiceComponent

    public void addServiceComponent(ConfigurationContext context,
                                    ServiceComponent component,
                                    java.lang.String uri)

  Specified by:
    `addServiceComponent` in interface `MutableResourceTable`

### setApplicationComponent

    public void setApplicationComponent(ConfigurationContext context,
                                        ServiceComponent component)

  Specified by:
    `setApplicationComponent` in interface `MutableResourceTable`

### addConfigurationComponent

    public void addConfigurationComponent(ConfigurationContext context,
                                          ConfigurationComponent component)

  Specified by:
    `addConfigurationComponent` in interface `MutableResourceTable`

### lookupConfigurationComponent

    public java.lang.Object lookupConfigurationComponent(java.lang.Class javaInterface)

  Specified by:
    `lookupConfigurationComponent` in interface `ResourceTable`

### printDiagnostics

    public void printDiagnostics(java.io.PrintStream printStream,
                                 NameTable nameTable)

  Specified by:
    `printDiagnostics` in interface `MutableResourceTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD